## freebsd-utils 8.2+ds3

=== sbin/dumpon/Makefile ===
# $FreeBSD$

PROG=	dumpon
WARNS?=	6
MAN=	dumpon.8

.include <bsd.prog.mk>

=== sbin/kldload/Makefile ===
#
# Copyright (c) 1997 Doug Rabson
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD$
#

PROG=	kldload
MAN=	kldload.8
WARNS?=	5

.include <bsd.prog.mk>

=== sbin/mount_ext2fs/Makefile ===
#	@(#)Makefile	8.3 (Berkeley) 3/27/94
# $FreeBSD$

PROG=	mount_ext2fs
SRCS=	mount_ext2fs.c getmntopts.c
MAN=	mount_ext2fs.8

MOUNT=	${.CURDIR}/../mount
CFLAGS+= -I${MOUNT}

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/mount_hpfs/Makefile ===
#
# $FreeBSD$
#

PROG=	mount_hpfs
SRCS=	mount_hpfs.c getmntopts.c
MAN=	mount_hpfs.8

MOUNT=	${.CURDIR}/../mount
CFLAGS+=-I${MOUNT} -DHPFS
WARNS?=	0

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/nfsiod/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	nfsiod
WARNS?=	6
MAN=	nfsiod.8

.include <bsd.prog.mk>

=== sbin/savecore/Makefile ===
# $FreeBSD$

PROG=	savecore
WARNS?=	6
DPADD=	${LIBZ}
LDADD=	-lz
MAN=	savecore.8

.include <bsd.prog.mk>

=== sbin/sysctl/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	sysctl
WARNS?=	0
MAN=	sysctl.8

.include <bsd.prog.mk>

=== usr.sbin/gssd/Makefile ===
# $FreeBSD$

PROG=	gssd
MAN=	gssd.8
SRCS=	gssd.c gssd.h gssd_svc.c gssd_xdr.c gssd_prot.c

CFLAGS+= -I.
WARNS?= 1

DPADD=	${LIBGSSAPI}
LDADD=	-lgssapi

CLEANFILES= gssd_svc.c gssd.h

RPCSRC=	${.CURDIR}/../../sys/kgssapi/gssd.x
RPCGEN= rpcgen -L -C -M

gssd_svc.c: ${RPCSRC} gssd.h
	${RPCGEN} -m -o ${.TARGET} ${RPCSRC}

gssd_xdr.c: ${RPCSRC} gssd.h
	${RPCGEN} -c -o ${.TARGET} ${RPCSRC}

gssd.h: ${RPCSRC}
	${RPCGEN} -h -o ${.TARGET} ${RPCSRC}

.PATH:	${.CURDIR}/../../sys/kgssapi

.include <bsd.prog.mk>

=== usr.sbin/powerd/Makefile ===
# $FreeBSD$

PROG=	powerd
MAN=	powerd.8
WARNS?=	6

DPADD=	${LIBUTIL}
LDADD=	-lutil

.if ${MACHINE_ARCH} == "i386"
CFLAGS+=-DUSE_APM
.endif

.include <bsd.prog.mk>

=== usr.sbin/rpc.statd/Makefile ===
# $FreeBSD$

PROG=	rpc.statd
MAN=	rpc.statd.8
SRCS=	file.c sm_inter_svc.c sm_inter.h statd.c procs.c

CFLAGS+= -I.
#WARNS?= 2

DPADD=	${LIBRPCSVC}
LDADD=	-lrpcsvc

CLEANFILES= sm_inter_svc.c sm_inter.h

RPCSRC= ${DESTDIR}/usr/include/rpcsvc/sm_inter.x
RPCGEN= rpcgen -L -C

sm_inter_svc.c: ${RPCSRC}
	${RPCGEN} -m -o ${.TARGET} ${RPCSRC}

sm_inter.h: ${RPCSRC}
	${RPCGEN} -h -o ${.TARGET} ${RPCSRC}

test: test.c
	cc -o test test.c -lrpcsvc

.include <bsd.prog.mk>

=== share/syscons/fonts/Makefile ===
# $FreeBSD$

FILES=	armscii8-8x8.fnt armscii8-8x14.fnt armscii8-8x16.fnt \
	cp437-8x8.fnt cp437-8x14.fnt cp437-8x16.fnt \
	cp437-thin-8x8.fnt cp437-thin-8x16.fnt \
	cp850-8x8.fnt cp850-8x14.fnt cp850-8x16.fnt \
	cp850-thin-8x8.fnt cp850-thin-8x16.fnt \
	cp865-8x8.fnt cp865-8x14.fnt cp865-8x16.fnt \
	cp865-thin-8x8.fnt cp865-thin-8x16.fnt \
	cp866-8x8.fnt cp866-8x14.fnt cp866-8x16.fnt \
	cp866b-8x16.fnt cp866c-8x16.fnt \
	cp866u-8x16.fnt cp866u-8x14.fnt cp866u-8x8.fnt \
	cp1251-8x8.fnt cp1251-8x14.fnt cp1251-8x16.fnt \
	haik8-8x8.fnt haik8-8x14.fnt haik8-8x16.fnt \
	iso-8x8.fnt iso-8x14.fnt iso-8x16.fnt \
	iso02-8x8.fnt iso02-8x14.fnt iso02-8x16.fnt \
	iso04-8x8.fnt iso04-8x14.fnt iso04-8x16.fnt iso04-wide-8x16.fnt \
	iso04-vga9-8x8.fnt iso04-vga9-8x14.fnt iso04-vga9-8x16.fnt \
	iso04-vga9-wide-8x16.fnt \
	iso05-8x8.fnt iso05-8x14.fnt iso05-8x16.fnt \
	iso07-8x8.fnt iso07-8x14.fnt iso07-8x16.fnt \
	iso08-8x8.fnt iso08-8x14.fnt iso08-8x16.fnt \
	iso09-8x16.fnt \
	iso15-8x8.fnt iso15-8x14.fnt iso15-8x16.fnt \
	iso-thin-8x16.fnt iso15-thin-8x16.fnt \
	koi8-r-8x8.fnt koi8-r-8x14.fnt koi8-r-8x16.fnt \
	koi8-rb-8x16.fnt koi8-rc-8x16.fnt \
	koi8-u-8x8.fnt koi8-u-8x14.fnt koi8-u-8x16.fnt \
	swiss-8x16.fnt swiss-8x8.fnt \
	swiss-1251-8x16.fnt swiss-1131-8x16.fnt \
	INDEX.fonts

FILESDIR= ${SHAREDIR}/syscons/fonts

NO_OBJ=

.include <bsd.prog.mk>

=== sbin/geom/class/cache/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../misc

CLASS=	cache

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd-utils (8.2+ds3-2) unstable; urgency=high

  * kbdcontrol.postinst: Only attempt to transition /etc/inittab to
    xterm when this file exists.
  * Add Danish translation by Joe Dalton.  (Closes: #650853)

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 12:42:39 +0100

freebsd-utils (8.2+ds3-1) unstable; urgency=low

  * Add powerd package.
  * kldutils.init: Start before "mountall" and "freebsd-utils".
    (Closes: #588538)

 -- Robert Millan <rmh@debian.org>  Sat, 03 Dec 2011 21:28:32 +0100

freebsd-utils (8.2+ds2-12) unstable; urgency=low

  [ Robert Millan ]
  * 044_mount_exec.diff: Fix mount_smbfs execution.
  * Make Description clearer and easier to translate.  (Closes: #649356)

  [ Jonathan Nieder ]
  * pf: Breaks, Replaces freebsd-net-tools versions that provided
    /etc/pf.os, pfctl, and authpf.  (Closes: #649684)
  * pf: Remove Replaces relation against freebsd-utils.

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 07:37:43 +0100

freebsd-utils (8.2+ds2-11) unstable; urgency=low

  * Unify all __unused fixes into a single patch.
  * Split PF into its own package.
  * Restore 040_kdump_multiarch.diff to fix FTBFS on kfreebsd-i386.
    Conflict with libc0.1-dev-i386 instead to fix kfreebsd-amd64.

 -- Robert Millan <rmh@debian.org>  Wed, 16 Nov 2011 18:54:22 +0100

freebsd-utils (8.2+ds2-10) unstable; urgency=low

  * Set SGID and group kmem on netstat.  (Closes: #643840)
  * Add kbdcontrol-udeb.  (Closes: #638917)

 -- Robert Millan <rmh@debian.org>  Fri, 11 Nov 2011 22:55:06 +0100

freebsd-utils (8.2+ds2-9) unstable; urgency=low

  * Add freebsd-ppp package.  Thanks Antoine Beaupré.  (Closes: #574789)
  * Split devd and ktrace into their own packages.
  * Remove 040_kdump_multiarch.diff. It appears this patch became
    unnecessary with eglibc 2.13-12 when /usr/include/bits was restored.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:56:50 +0100

freebsd-utils (8.2+ds2-8) unstable; urgency=low

  * Remove versioned dependency on sysvinit. It's useless as it turns
    out /etc/inittab is not a conffile. Fix /etc/inittab in postinst
    instead.

 -- Robert Millan <rmh@debian.org>  Fri, 04 Nov 2011 20:04:59 +0100

freebsd-utils (8.2+ds2-7) unstable; urgency=low

  * kbdcontrol:
    - Depend on TERM=xterm version of sysvinit.
    - Break all kernel versions that still expect TERM=cons25.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 00:51:17 +0100

freebsd-utils (8.2+ds2-6) experimental; urgency=low

  * Fix route call without arguments.
  * Recover 032_delete_key.diff patch from SVN r3202.  (Closes: #605777)

 -- Robert Millan <rmh@debian.org>  Sat, 29 Oct 2011 22:19:22 +0200

=== debian/control ===
Source: freebsd-utils
Section: utils
Priority: important
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), po-debconf, freebsd-buildutils, sharutils,
 flex | flex-old,
 kfreebsd-kernel-headers (>= 0.56),
 libc0.1-dev (>= 2.13-11),
 libbsd-dev (>= 0.3.0), pkg-config,
# zlib1g-dev: savecore
 zlib1g-dev,
# libkvm-dev: dmesg
 libkvm-dev (>= 8.2),
 libmemstat-dev,
 libnetgraph-dev,
# libipx-dev: ifconfig
 libipx-dev,
# libkiconv-dev: mount_*
 libkiconv-dev,
# libdevstat-dev: mdconfig
 libdevstat-dev,
# libgeom-dev : ccdconfig, geom
 libgeom-dev,
# libsbuf-dev: ifconfig, mdconfig, geom
 libsbuf-dev (>= 8.2-2),
# libcam-dev: camcontrol
 libcam-dev (>= 8.2),
# libedit-dev: pppctl
 libedit-dev,
# libexpat1-dev: ifconfig, geom
 libexpat1-dev,
# libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
 libtirpc-dev,
# libjail-dev: jail
 libjail-dev,
# libssl-dev: geom
 libssl-dev,
# liblockdev1-dev: ppp
 liblockdev1-dev,
Build-Conflicts:
# /usr/include/bits symlink breaks usr.bin/kdump/{mkioctls,mksubr}
 libc0.1-dev-i386,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-utils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-utils/
Standards-Version: 3.9.2

Package: freebsd-utils
Priority: required
Essential: yes
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: kbdcontrol, vidcontrol, freebsd-hackedutils (>= 6.1-3)
Conflicts: inetutils-tools (<= 2:1.4.3+20051212-4)
Replaces: freebsd-hackedutils (<= 6.1-3)
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.

Package: freebsd-utils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kldutils
Priority: important
Architecture: kfreebsd-any
Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
Conflicts: module-init-tools
Replaces: module-init-tools, freebsd-utils (<= 5.2.1-16),
 freebsd-hackedutils (<= 6.1-1), kfreebsd-common (<< 6.1-6)
Provides: module-init-tools
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.

Package: kldutils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kbdcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Breaks:
 kfreebsd-image-8.1-1-amd64,
 kfreebsd-image-8.1-1-486,
 kfreebsd-image-8.1-1-686,
 kfreebsd-image-8.1-1-686-smp,
 kfreebsd-image-8.1-1-xen,
 kfreebsd-image-8.2-1-amd64 (<< 8.2-12),
 kfreebsd-image-8.2-1-486 (<< 8.2-12),
 kfreebsd-image-8.2-1-686 (<< 8.2-12),
 kfreebsd-image-8.2-1-686-smp (<< 8.2-12),
 kfreebsd-image-8.2-1-xen (<< 8.2-12),
 kfreebsd-image-9.0-0-amd64 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-486 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-686 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-686-smp (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-xen (<< 9.0~svn226626-2),
 kfreebsd-image-10.0-0-amd64 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-486 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-686 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-686-smp (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-xen (<< 10.0~svn226872-2),
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.

Package: kbdcontrol-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.
 .
 This is a minimal package for use in debian-installer.

Package: vidcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to control the system console on GNU/kFreeBSD
 This package provides the original FreeBSD command to control and configure
 the system console, plus the possible fonts and screen maps.

Package: freebsd-net-tools
Section: net
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
# just to handle upgrades, maybe remove this after wheezy?
 pf,
Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
Provides: net-tools
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.

Package: freebsd-net-tools-udeb
Package-Type: udeb
Section: debian-installer
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: freebsd-nfs-server
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, freebsd-nfs-common
Provides: nfs-server, nfs-kernel-server
Description: FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 This package provides FreeBSD utilities needed for NFS server on
 Debian GNU/kFreeBSD.

Package: freebsd-nfs-common
Section: net
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind
Provides: nfs-common
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.

Package: freebsd-geom
Section: admin
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular disk I/O request transformation framework
 The GEOM framework provides an infrastructure in which ``classes'' can
 perform transformations on disk I/O requests on their path from the upper
 kernel to the device drivers and back.
 .
 This package provides FreeBSD GEOM and associated utilities.

Package: freebsd-ppp
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: freebsd-hackedutils
Replaces: freebsd-net-tools (<< 8.2+ds2-9)
Homepage: http://www.freebsd.org/doc/handbook/userppp.html
Description: FreeBSD Point-to-Point Protocol (PPP) userland daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the
 machines at either end of the link to negotiate various optional
 characteristics of the link.
 .
 This package provides both a server and a client PPP daemon that runs
 in userland.

Package: devd
Section: admin
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: device state change monitoring daemon
 The devd daemon runs actions specified in a configuration file when certain
 kernel events (such as device addition or removal) happen.

Package: ktrace
Section: utils
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: A kernel call tracer
 ktrace is a kernel call tracer, i.e. a debugging tool which prints out
 a trace of all the kernel calls made by a another process/program.
 .
 Kernel calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.

Package: pf
Section: net
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: freebsd-net-tools (<< 8.2+ds2-11)
Replaces: freebsd-net-tools (<< 8.2+ds2-11)
Homepage: http://www.openbsd.org/faq/pf/
Description: The OpenBSD Packet Filter
 Packet Filter (from here on referred to as PF) is OpenBSD's system for
 filtering TCP/IP traffic and doing Network Address Translation. PF is also
 capable of normalizing and conditioning TCP/IP traffic and providing
 bandwidth control and packet prioritization.
 .
 This version of PF has been ported to FreeBSD by the FreeBSD project, and
 subsequently to GNU/kFreeBSD by the Debian project.

Package: powerd
Priority: optional
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System utility for power control and energy saving
 The powerd utility monitors the system state and sets various power control
 options accordingly, such as CPU frequency and power management modes.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
	-D__FreeBSD_version=802000
CXXFLAGS = $(CFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

SOURCE = freebsd-utils
VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
#SVN = http://svn.freebsd.org/base/releng/$(SVN_REL)
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) \
        -I$(CURDIR)/debian/local/include -I$(CURDIR)/include -lbsd" \
        NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
        DESTDIR=$(DESTDIR) make

RPCHDRS=include/rpcsvc/nfs_prot.h include/rpcsvc/nlm_prot.h \
	include/rpcsvc/mount.h include/rpcsvc/sm_inter.h \
	sys/kgssapi/gssd.h

.SUFFIXES: .x .h

.x.h:
	rpcgen -h -DWANT_NFS3 $< -o $@

build: build-arch build-indep

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/sys/kern $(ORIGDIR)/sys/dev/usb $(ORIGDIR)/etc \
		$(ORIGDIR)/include/rpcsvc \
		$(ORIGDIR)/sys/kgssapi
	for i in sbin/dmesg sbin/sysctl usr.bin/kdump usr.bin/ktrace \
		 usr.sbin/jail bin/chflags \
		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
		 usr.sbin/acpi/acpiconf \
		 sbin/kldconfig sbin/kldload sbin/kldstat sbin/kldunload \
		 usr.bin/ktrdump usr.bin/vmstat sbin/devfs sbin/fdisk \
		 sbin/ifconfig etc/regdomain.xml \
		 sbin/route usr.bin/netstat usr.sbin/rpc.umntall \
		 usr.sbin/ppp usr.sbin/pppctl usr.sbin/arp usr.bin/mkuzip \
		 sbin/ipfw contrib/pf sbin/pfctl usr.sbin/authpf sys/contrib/pf/net \
		 sbin/mount_std sbin/umount sbin/mount_autofs sbin/mount_cd9660 \
		 sbin/mount_ext2fs sbin/mount_hpfs sbin/mount_msdosfs \
		 sbin/mount_ntfs sbin/mount_nullfs sbin/mount_udf sbin/mount_unionfs \
		 sbin/mount_reiserfs sbin/mount \
		 sbin/mdconfig sbin/ccdconfig sbin/swapon sbin/atacontrol sbin/camcontrol \
		 sbin/gbde bin/kenv \
		 sbin/geom sys/geom/eli sys/crypto/sha2 \
		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
		 sbin/savecore sbin/dumpon \
		 sys/kern/syscalls.c etc/pf.os \
		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
		 sbin/nfsiod \
		 sbin/mount_nfs \
		 include/rpcsvc/nfs_prot.x include/rpcsvc/sm_inter.x \
		 include/rpcsvc/nlm_prot.x include/rpcsvc/mount.x \
		 sys/kgssapi/gssd.x \
		 usr.bin/showmount \
		 usr.sbin/powerd \
	; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

lib: lib-stamp
lib-stamp:
	$(MAKE) -C lib
	touch $@

build-arch: freebsd-utils gbde geli kbdcontrol vidcontrol kldutils freebsd-net-tools freebsd-nfs-utils freebsd-ppp powerd

freebsd-utils: freebsd-utils-stamp
freebsd-utils-stamp: $(RPCHDRS)
#	$(PMAKE) -C bin/chflags
	$(PMAKE) -C bin/kenv
	$(PMAKE) -C sbin/atacontrol
	$(PMAKE) -C sbin/camcontrol
	$(PMAKE) -C sbin/ccdconfig
	$(PMAKE) -C sbin/devd
	$(PMAKE) -C etc/devd
	$(PMAKE) -C sbin/devfs
	$(PMAKE) -C sbin/dmesg
	$(PMAKE) -C sbin/dumpon
	$(PMAKE) -C sbin/geom
	$(PMAKE) -C sbin/mdconfig
	$(PMAKE) -C sbin/mount
	$(PMAKE) -C sbin/mount_autofs
	$(PMAKE) -C sbin/mount_cd9660
	$(PMAKE) -C sbin/mount_ext2fs
	$(PMAKE) -C sbin/mount_hpfs
	$(PMAKE) -C sbin/mount_msdosfs
#	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/mount_ntfs
	$(PMAKE) -C sbin/mount_nullfs
	$(PMAKE) -C sbin/mount_reiserfs
	$(PMAKE) -C sbin/mount_udf
	$(PMAKE) -C sbin/mount_unionfs
	$(PMAKE) -C sbin/mount_std
	$(PMAKE) -C sbin/savecore
	$(PMAKE) -C sbin/swapon
	$(PMAKE) -C sbin/sysctl
	$(PMAKE) -C sbin/umount
	$(PMAKE) -C usr.bin/kdump
	$(PMAKE) -C usr.bin/ktrace
	$(PMAKE) -C usr.bin/mkuzip
	$(PMAKE) -C usr.sbin/acpi/acpiconf
	$(PMAKE) -C usr.sbin/rpc.umntall
	$(PMAKE) -C usr.sbin/jail
	touch $@

gbde: gbde-stamp
gbde-stamp:
#	$(PMAKE) -C sbin/gbde
	touch $@

geli: geli-stamp
geli-stamp:
#	$(PMAKE) -C sbin/geom/class/eli
	touch $@

kbdcontrol: kbdcontrol-stamp
kbdcontrol-stamp:
	$(PMAKE) -C usr.sbin/kbdcontrol
	sed -i -e "s/^choices=.*/choices=\"`cd share/syscons/keymaps && echo *.kbd | sed -e 's/ /, /g'`\"/g" \
	debian/kbdcontrol.config
	touch $@

vidcontrol: vidcontrol-stamp
vidcontrol-stamp:
	$(PMAKE) -C usr.sbin/vidcontrol
	$(PMAKE) -C share/syscons/scrnmaps
	touch $@

kldutils: kldutils-stamp
kldutils-stamp:
	$(PMAKE) -C sbin/kldconfig
	$(PMAKE) -C sbin/kldload
	$(PMAKE) -C sbin/kldstat
	$(PMAKE) -C sbin/kldunload
	touch $@

freebsd-net-tools: freebsd-net-tools-stamp
freebsd-net-tools-stamp: lib-stamp
	$(PMAKE) -C sbin/ifconfig
	$(PMAKE) -C sbin/pfctl
	$(PMAKE) -C sbin/route
	$(PMAKE) -C usr.bin/netstat
	$(PMAKE) -C usr.sbin/arp
	$(PMAKE) -C usr.sbin/authpf
	touch $@

freebsd-ppp: freebsd-ppp-stamp
freebsd-ppp-stamp:
	$(PMAKE) -C usr.sbin/ppp -DPPP_NO_PAM -DPPP_NO_NAT -DPPP_NO_DES -DPPP_NO_SUID -DPPP_NO_ATM -DPPP_NO_RADIUS
	$(PMAKE) -C usr.sbin/pppctl
	touch $@

freebsd-nfs-utils: freebsd-nfs-utils-stamp
freebsd-nfs-utils-stamp: lib-stamp
#	$(PMAKE) -C usr.bin/showmount
	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/nfsiod
#	$(PMAKE) -C usr.sbin/gssd
#	$(PMAKE) -C usr.sbin/nfscbd
#	$(PMAKE) -C usr.sbin/nfsuserd
#	$(PMAKE) -C usr.sbin/nfsrevoke
#	$(PMAKE) -C usr.sbin/nfsdumpstate
	$(PMAKE) -C usr.sbin/rpc.statd
	$(PMAKE) -C usr.sbin/rpc.lockd
	$(PMAKE) -C usr.sbin/mountd
	$(PMAKE) -C usr.sbin/nfsd
	touch $@

powerd: powerd-stamp
powerd-stamp:
	$(PMAKE) -C usr.sbin/powerd
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	[ ! -f lib/Makefile ] || $(MAKE) -C lib clean

	$(PMAKE) -C bin/chflags clean
	$(PMAKE) -C bin/kenv clean
	$(PMAKE) -C sbin/ccdconfig clean
	$(PMAKE) -C sbin/atacontrol clean
	$(PMAKE) -C sbin/camcontrol clean
	$(PMAKE) -C sbin/devd clean
	$(PMAKE) -C etc/devd clean
	$(PMAKE) -C sbin/devfs clean
	$(PMAKE) -C sbin/dmesg clean
	$(PMAKE) -C sbin/dumpon clean
	$(PMAKE) -C sbin/geom clean
	$(PMAKE) -C sbin/mdconfig clean
	$(PMAKE) -C sbin/mount clean
	$(PMAKE) -C sbin/mount_autofs clean
	$(PMAKE) -C sbin/mount_cd9660 clean
	$(PMAKE) -C sbin/mount_ext2fs clean
	$(PMAKE) -C sbin/mount_hpfs clean
	$(PMAKE) -C sbin/mount_msdosfs clean
	$(PMAKE) -C sbin/mount_nfs clean
	$(PMAKE) -C sbin/mount_ntfs clean
	$(PMAKE) -C sbin/mount_nullfs clean
	$(PMAKE) -C sbin/mount_reiserfs clean
	$(PMAKE) -C sbin/mount_udf clean
	$(PMAKE) -C sbin/mount_unionfs clean
	$(PMAKE) -C sbin/mount_std clean
	$(PMAKE) -C sbin/savecore clean
	$(PMAKE) -C sbin/swapon clean
	$(PMAKE) -C sbin/sysctl  clean
	$(PMAKE) -C sbin/umount clean
	$(PMAKE) -C usr.bin/kdump clean
	$(PMAKE) -C usr.bin/ktrace clean
	$(PMAKE) -C usr.bin/mkuzip clean
	$(PMAKE) -C usr.sbin/acpi/acpiconf clean
	$(PMAKE) -C usr.sbin/rpc.umntall clean
	$(PMAKE) -C usr.sbin/jail clean

	$(PMAKE) -C sbin/gbde clean

	$(PMAKE) -C usr.sbin/kbdcontrol clean

	$(PMAKE) -C usr.sbin/vidcontrol clean
	$(PMAKE) -C share/syscons/scrnmaps clean

	$(PMAKE) -C sbin/kldconfig clean
	$(PMAKE) -C sbin/kldload clean
	$(PMAKE) -C sbin/kldstat clean
	$(PMAKE) -C sbin/kldunload clean

	$(PMAKE) -C sbin/ifconfig clean
	$(PMAKE) -C sbin/pfctl clean
	$(PMAKE) -C sbin/route clean
	$(PMAKE) -C usr.bin/netstat clean
	$(PMAKE) -C usr.sbin/arp clean
	$(PMAKE) -C usr.sbin/authpf clean
	$(PMAKE) -C usr.sbin/ppp clean
	$(PMAKE) -C usr.sbin/pppctl clean

	$(PMAKE) -C sbin/nfsiod clean
	$(PMAKE) -C usr.sbin/gssd clean
	$(PMAKE) -C usr.sbin/nfscbd clean
	$(PMAKE) -C usr.sbin/nfsuserd clean
	$(PMAKE) -C usr.sbin/nfsrevoke clean

## freebsd-utils 9.0

=== sbin/camcontrol/Makefile ===
# $FreeBSD$

PROG=	camcontrol
SRCS=	camcontrol.c util.c
.if !defined(RELEASE_CRUNCH)
SRCS+=	modeedit.c
.else
CFLAGS+= -DMINIMALISTIC
.endif
# This is verboten
.if ${MACHINE_CPUARCH} == "arm"
WARNS?= 3
.endif
DPADD=	${LIBCAM} ${LIBSBUF} ${LIBUTIL}
LDADD=	-lcam -lsbuf -lutil
MAN=	camcontrol.8

.include <bsd.prog.mk>

=== usr.sbin/rpc.statd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SRCS=	file.c sm_inter_svc.c sm_inter.h statd.c procs.c
 
 CFLAGS+= -I.
-#WARNS?= 2
+WARNS?= 2
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc

=== debian/changelog ===
freebsd-utils (9.0-2) unstable; urgency=low

  * Rename freebsd-geom to geom.
  * Add geli(8) symlink.
  * Add init script for GELI.
  * Remove tmp_glibc.diff, build-depend on libc0.1-dev 2.13-26 instead.
  * Remove workarounds for lack of execvP(), build-depend on
    freebsd-buildutils >= 9.0-7 instead. (Closes: #650978)
  * Build with backward-compatible feature_present().  (Closes: #659659)

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 21:01:34 +0100

freebsd-utils (9.0-1) unstable; urgency=low

  * New upstream release.

  [ Robert Millan ]
  * devd.init: Add /usr/sbin:/usr/bin to PATH (needed for
    /usr/bin/logger).
  * Split mkuzip into its own package.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Feb 2012 22:38:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: important
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), po-debconf, freebsd-buildutils, sharutils,
+Build-Depends: debhelper (>= 7), po-debconf, sharutils,
  flex | flex-old,
- kfreebsd-kernel-headers (>= 0.56),
- libc0.1-dev (>= 2.13-11),
+ freebsd-buildutils (>= 9.0-8~),
+ kfreebsd-kernel-headers (>= 0.70),
+ libc0.1-dev (>= 2.13-26),
  libbsd-dev (>= 0.3.0), pkg-config,
 # zlib1g-dev: savecore
  zlib1g-dev,
 # libkvm-dev: dmesg
- libkvm-dev (>= 8.2),
+ libkvm-dev (>= 8.3~),
  libmemstat-dev,
  libnetgraph-dev,
 # libipx-dev: ifconfig
@@ -32,7 +33,7 @@
  libexpat1-dev,
 # libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
  libtirpc-dev,
-# libjail-dev: jail
+# libjail-dev: jail, ifconfig
  libjail-dev,
 # libssl-dev: geom
  libssl-dev,
@@ -182,12 +183,24 @@
  Use this package on any machine that uses NFS, either as client or
  server.
 
+Package: geom
+Section: admin
+Priority: standard
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: modular disk I/O request transformation framework
+ The GEOM framework provides an infrastructure in which ``classes'' can
+ perform transformations on disk I/O requests on their path from the upper
+ kernel to the device drivers and back.
+ .
+ This package provides FreeBSD GEOM and associated utilities.
+
 Package: freebsd-geom
 Section: admin
-Priority: standard
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: modular disk I/O request transformation framework
+Priority: extra
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, geom
+Description: modular disk I/O request transformation framework (meta-package)
  The GEOM framework provides an infrastructure in which ``classes'' can
  perform transformations on disk I/O requests on their path from the upper
  kernel to the device drivers and back.
@@ -260,3 +273,15 @@
 Description: System utility for power control and energy saving
  The powerd utility monitors the system state and sets various power control
  options accordingly, such as CPU frequency and power management modes.
+
+Package: mkuzip
+Priority: extra
+Section: misc
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: freebsd-utils (<< 8.2+ds3-3)
+Description: Disk image compression utility
+ The mkuzip utility compresses a disk image file so that the geom_uzip(4) class
+ will be able to decompress the resulting image at run-time. This allows for a
+ significant reduction of size of disk image at the expense of some CPU time
+ required to decompress the data each time it is read.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
 	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
-	-D__FreeBSD_version=802000
+	-D__FreeBSD_version=__FreeBSD_kernel_version
 CXXFLAGS = $(CFLAGS)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -18,18 +18,26 @@
 	CXXFLAGS += -O2
 endif
 
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+major           := $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
+
+SVN		:= http://svn.freebsd.org/base/release/$(version).0
+#SVN		:= http://svn.freebsd.org/base/releng/$(version)
+#SVN		:= http://svn.freebsd.org/base/stable/$(major)
+#SVN		:= http://svn.freebsd.org/base/head
+
 SOURCE = freebsd-utils
-VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
-SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
-SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
-#SVN = http://svn.freebsd.org/base/releng/$(SVN_REL)
-ORIGDIR = $(SOURCE)-$(VERSION)
-TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
+ORIGDIR = $(SOURCE)-$(tar_version)
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
 PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) \
-        -I$(CURDIR)/debian/local/include -I$(CURDIR)/include -lbsd" \
+        -isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include -I$(CURDIR)/include -lbsd" \
         NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
         DESTDIR=$(DESTDIR) make
 
@@ -46,10 +54,23 @@
 
 get-orig-source:
 	rm -rf $(ORIGDIR)
-	mkdir -p $(ORIGDIR)/sys/kern $(ORIGDIR)/sys/dev/usb $(ORIGDIR)/etc \
+	mkdir -p \
+		$(ORIGDIR)/sys/kern \
+		$(ORIGDIR)/sys/amd64/linux32 \
+		$(ORIGDIR)/sys/i386/linux \
+		$(ORIGDIR)/sys/dev/usb \
+		$(ORIGDIR)/etc \
 		$(ORIGDIR)/include/rpcsvc \
 		$(ORIGDIR)/sys/kgssapi
-	for i in sbin/dmesg sbin/sysctl usr.bin/kdump usr.bin/ktrace \
+	for i in sbin/dmesg sbin/sysctl \
+		\
+		usr.bin/kdump \
+		usr.bin/ktrace \
+		sys/kern/syscalls.c \
+		sys/kern/makesyscalls.sh \
+		sys/amd64/linux32/syscalls.master \
+		sys/i386/linux/syscalls.master \
+		\
 		 usr.sbin/jail bin/chflags \
 		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
 		 usr.sbin/acpi/acpiconf \
@@ -59,7 +80,7 @@
 		 sbin/route usr.bin/netstat usr.sbin/rpc.umntall \
 		 usr.sbin/ppp usr.sbin/pppctl usr.sbin/arp usr.bin/mkuzip \
 		 sbin/ipfw contrib/pf sbin/pfctl usr.sbin/authpf sys/contrib/pf/net \
-		 sbin/mount_std sbin/umount sbin/mount_autofs sbin/mount_cd9660 \
+		 sbin/mount_std sbin/umount sbin/mount_cd9660 \
 		 sbin/mount_ext2fs sbin/mount_hpfs sbin/mount_msdosfs \
 		 sbin/mount_ntfs sbin/mount_nullfs sbin/mount_udf sbin/mount_unionfs \
 		 sbin/mount_reiserfs sbin/mount \
@@ -68,7 +89,7 @@
 		 sbin/geom sys/geom/eli sys/crypto/sha2 \
 		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
 		 sbin/savecore sbin/dumpon \
-		 sys/kern/syscalls.c etc/pf.os \
+		etc/pf.os \
 		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
 		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
 		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
@@ -90,7 +111,7 @@
 	$(MAKE) -C lib
 	touch $@
 
-build-arch: freebsd-utils gbde geli kbdcontrol vidcontrol kldutils freebsd-net-tools freebsd-nfs-utils freebsd-ppp powerd
+build-arch: freebsd-utils gbde kbdcontrol vidcontrol kldutils freebsd-net-tools freebsd-nfs-utils freebsd-ppp powerd
 
 freebsd-utils: freebsd-utils-stamp
 freebsd-utils-stamp: $(RPCHDRS)
@@ -107,7 +128,6 @@
 	$(PMAKE) -C sbin/geom
 	$(PMAKE) -C sbin/mdconfig
 	$(PMAKE) -C sbin/mount
-	$(PMAKE) -C sbin/mount_autofs
 	$(PMAKE) -C sbin/mount_cd9660
 	$(PMAKE) -C sbin/mount_ext2fs
 	$(PMAKE) -C sbin/mount_hpfs
@@ -136,11 +156,6 @@
 #	$(PMAKE) -C sbin/gbde
 	touch $@
 
-geli: geli-stamp
-geli-stamp:
-#	$(PMAKE) -C sbin/geom/class/eli
-	touch $@
-
 kbdcontrol: kbdcontrol-stamp
 kbdcontrol-stamp:
 	$(PMAKE) -C usr.sbin/kbdcontrol
@@ -164,7 +179,7 @@
 
 freebsd-net-tools: freebsd-net-tools-stamp
 freebsd-net-tools-stamp: lib-stamp
-	$(PMAKE) -C sbin/ifconfig
+	$(PMAKE) -C sbin/ifconfig -DWITHOUT_JAIL
 	$(PMAKE) -C sbin/pfctl
 	$(PMAKE) -C sbin/route
 	$(PMAKE) -C usr.bin/netstat
@@ -222,7 +237,6 @@
 	$(PMAKE) -C sbin/geom clean
 	$(PMAKE) -C sbin/mdconfig clean
 	$(PMAKE) -C sbin/mount clean
-	$(PMAKE) -C sbin/mount_autofs clean
 	$(PMAKE) -C sbin/mount_cd9660 clean
 	$(PMAKE) -C sbin/mount_ext2fs clean
 	$(PMAKE) -C sbin/mount_hpfs clean
@@ -254,20 +268,3 @@
 
 	$(PMAKE) -C sbin/kldconfig clean
 	$(PMAKE) -C sbin/kldload clean
-	$(PMAKE) -C sbin/kldstat clean
-	$(PMAKE) -C sbin/kldunload clean
-
-	$(PMAKE) -C sbin/ifconfig clean
-	$(PMAKE) -C sbin/pfctl clean
-	$(PMAKE) -C sbin/route clean
-	$(PMAKE) -C usr.bin/netstat clean
-	$(PMAKE) -C usr.sbin/arp clean
-	$(PMAKE) -C usr.sbin/authpf clean
-	$(PMAKE) -C usr.sbin/ppp clean
-	$(PMAKE) -C usr.sbin/pppctl clean
-
-	$(PMAKE) -C sbin/nfsiod clean
-	$(PMAKE) -C usr.sbin/gssd clean
-	$(PMAKE) -C usr.sbin/nfscbd clean
-	$(PMAKE) -C usr.sbin/nfsuserd clean
-	$(PMAKE) -C usr.sbin/nfsrevoke clean

## freebsd-utils 9.0+ds1

=== etc/devd/Makefile ===
# $FreeBSD$

FILES=	asus.conf uath.conf usb.conf

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>

=== sbin/atacontrol/Makefile ===
#$FreeBSD$

PROG=	atacontrol
MAN=	atacontrol.8

.include <bsd.prog.mk>

=== sbin/devd/Makefile ===
# $FreeBSD$

PROG_CXX=devd
SRCS=	devd.cc token.l parse.y y.tab.h
MAN=	devd.8 devd.conf.5

WARNS?=	3

NO_SHARED?=YES

DPADD=	${LIBL} ${LIBUTIL}
LDADD=	-ll -lutil

YFLAGS+=-v
CFLAGS+=-I. -I${.CURDIR}

CLEANFILES= y.output

.include <bsd.prog.mk>

=== sbin/gbde/Makefile ===
# $FreeBSD$

PROG=	gbde
SRCS=	gbde.c template.c
SRCS+=	rijndael-alg-fst.c
SRCS+=	rijndael-api-fst.c
SRCS+=	sha2.c
SRCS+=	g_bde_lock.c

# rijndael-fst.c does evil casting things which results in warnings on
# 64 bit machines, the test-vectors check out however, so it works right.
.if ${MACHINE_CPUARCH} != "i386"
WARNS?=	3
.endif

CFLAGS+= -I${.CURDIR}/../../sys
.PATH:	${.CURDIR}/../../sys/geom/bde \
	${.CURDIR}/../../sys/crypto/rijndael \
	${.CURDIR}/../../sys/crypto/sha2

CLEANFILES+= template.c

MAN=	gbde.8
DPADD=	${LIBMD} ${LIBUTIL} ${LIBGEOM}
LDADD=	-lmd -lutil -lgeom

template.c: template.txt
	file2c 'const char template[] = {' ',0};' \
		< ${.CURDIR}/template.txt > template.c

test: ${PROG}
	sh ${.CURDIR}/test.sh ${.CURDIR}

.include <bsd.prog.mk>

=== sbin/ifconfig/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

.include <bsd.own.mk>

PROG=	ifconfig

SRCS=	ifconfig.c		# base support

#
# NB: The order here defines the order in which the constructors
#     are called.  This in turn defines the default order in which
#     status is displayed.  Probably should add a priority mechanism
#     to the registration process so we don't depend on this aspect
#     of the toolchain.
#
SRCS+=	af_link.c		# LLC support
.if ${MK_INET_SUPPORT} != "no"
SRCS+=	af_inet.c		# IPv4 support
.endif
.if ${MK_INET6_SUPPORT} != "no"
SRCS+=	af_inet6.c		# IPv6 support
.endif
SRCS+=	af_atalk.c		# AppleTalk support
.if ${MK_INET6_SUPPORT} != "no"
SRCS+=	af_nd6.c		# ND6 support
.endif

SRCS+=	ifclone.c		# clone device support
SRCS+=	ifmac.c			# MAC support
SRCS+=	ifmedia.c		# SIOC[GS]IFMEDIA support
SRCS+=	iffib.c			# non-default FIB support
SRCS+=	ifvlan.c		# SIOC[GS]ETVLAN support
SRCS+=	ifgre.c			# GRE keys etc
SRCS+=	ifgif.c			# GIF reversed header workaround

SRCS+=	ifieee80211.c regdomain.c # SIOC[GS]IEEE80211 support
DPADD+=	${LIBBSDXML} ${LIBJAIL} ${LIBSBUF}
LDADD+=	-lbsdxml -ljail -lsbuf

SRCS+=	ifcarp.c		# SIOC[GS]VH support
SRCS+=	ifgroup.c		# ...
SRCS+=	ifpfsync.c		# pfsync(4) support

SRCS+=	ifbridge.c		# bridge support
SRCS+=	iflagg.c		# lagg support

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif
.if ${MK_INET_SUPPORT} != "no"
CFLAGS+= -DINET
.endif
.if ${MK_IPX_SUPPORT} != "no" && !defined(RELEASE_CRUNCH)
SRCS+=	af_ipx.c		# IPX support
DPADD+=	${LIBIPX}
LDADD+=	-lipx
.endif

MAN=	ifconfig.8

CFLAGS+= -Wall -Wmissing-prototypes -Wcast-qual -Wwrite-strings -Wnested-externs
WARNS?=	2

.include <bsd.prog.mk>

=== sbin/ipfw/Makefile ===
# $FreeBSD$

PROG=	ipfw
SRCS=	ipfw2.c dummynet.c ipv6.c main.c nat.c altq.c
WARNS?=	2
DPADD=	${LIBUTIL}
LDADD=	-lutil
MAN=	ipfw.8

.include <bsd.prog.mk>

=== sbin/mdconfig/Makefile ===
# $FreeBSD$

PROG=		mdconfig
MAN=		mdconfig.8
MLINKS=		mdconfig.8 vnconfig.8

DPADD=	${LIBUTIL} ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF} 
LDADD=	-lutil -lgeom -lbsdxml -lsbuf

.include <bsd.prog.mk>

=== sbin/mount/Makefile ===
#	@(#)Makefile	8.6 (Berkeley) 5/8/95
# $FreeBSD$

PROG=	mount
SRCS=	mount.c mount_fs.c getmntopts.c vfslist.c
MAN=	mount.8
# We do NOT install the getmntopts.3 man page.

DPADD=	${LIBUTIL}
LDADD=	-lutil

.include <bsd.prog.mk>

=== sbin/mount_ext2fs/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SRCS=	mount_ext2fs.c getmntopts.c
 MAN=	mount_ext2fs.8
 
+WARNS?=	2
 MOUNT=	${.CURDIR}/../mount
 CFLAGS+= -I${MOUNT}

=== sbin/mount_hpfs/Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 MAN=	mount_hpfs.8
 
 MOUNT=	${.CURDIR}/../mount
-CFLAGS+=-I${MOUNT} -DHPFS
-WARNS?=	0
+CFLAGS+= -I${MOUNT} -DHPFS
 
 .PATH:	${MOUNT}

=== sbin/mount_ntfs/Makefile ===
#
# $FreeBSD$
#

PROG=	mount_ntfs
SRCS=	mount_ntfs.c getmntopts.c
MAN=	mount_ntfs.8
DPADD=	${LIBKICONV}
LDADD=	-lkiconv

MOUNT=	${.CURDIR}/../mount
CFLAGS+= -I${MOUNT}

# Needs to be dynamically linked for optional dlopen() access to
# userland libiconv
NO_SHARED?=	NO

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/mount_reiserfs/Makefile ===
# $FreeBSD$

PROG = mount_reiserfs
SRCS = mount_reiserfs.c getmntopts.c
MAN  = mount_reiserfs.8

# mount_reiserfs needs mntopts.h and getmntopts.c from src/sbin/mount/
MOUNT  ?= ${.CURDIR}/../mount
CFLAGS += -I${MOUNT}

.PATH: ${MOUNT}

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-utils (9.0+ds1-6) unstable; urgency=medium

  * Fix FTBFS (missing libutil.h).
  * Remove handling of kbdcontrol.conf, now obsoleted by
    /etc/init.d/keyboard-setup.  (Closes: #677915)

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jun 2012 20:07:29 +0200

freebsd-utils (9.0+ds1-5) unstable; urgency=high

  * Fix FTBFS with latest kfreebsd-kernel-headers.
  * Add missing Depends on kldutils for devd and geom. (Closes: #674582)

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:54:45 +0200

freebsd-utils (9.0+ds1-4) unstable; urgency=low

  [ Robert Millan ]
  * Start devd after kldutils to ensure kern.module_path has been set.
  * Reduce kern.module_path to only contain versioned directories.

  [ Steven Chamberlain ]
  * Return exit status 0 from the geli initscript if not configured, but
    display a warning.  (Closes: #670412)
  * Fix duplicates of Section: utils or Priority: important in debian/control
    (lintian tag binary-control-field-duplicates-source)

 -- Robert Millan <rmh@debian.org>  Mon, 07 May 2012 23:56:13 +0200

freebsd-utils (9.0+ds1-3) unstable; urgency=low

  * Restore default CPU frequency after stopping powerd.
  * Replace mount wrap script with source patch (mount_cli_compat.diff).
  * Make powerd fail gacefully when cpufreq(4) support isn't available.
    (Closes: #650963)
  * Set Priority: standard for powerd. (See #668263)
  * Fix a few lintian warnings in init scripts.

 -- Robert Millan <rmh@debian.org>  Sat, 14 Apr 2012 15:01:02 +0200

freebsd-utils (9.0+ds1-2) unstable; urgency=low

  * Set freebsd-geom Priority to "standard" to fix override disparity.
  * Drop route wrapper and replace /sbin/route with upstream version.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Apr 2012 13:20:23 +0200

freebsd-utils (9.0+ds1-1) unstable; urgency=low

  * Add /etc/pf.conf and PF examples.
  * devd.init: Start before networking to prevent NIC driver load race.
  * Add devd-udeb package.

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:32:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 7), po-debconf, sharutils,
  flex | flex-old,
  freebsd-buildutils (>= 9.0-8~),
+ freebsd-glue (>= 0.0.4~),
  kfreebsd-kernel-headers (>= 0.70),
  libc0.1-dev (>= 2.13-26),
  libbsd-dev (>= 0.3.0), pkg-config,
@@ -69,7 +70,6 @@
  This is a minimal package for use in debian-installer.
 
 Package: kldutils
-Priority: important
 Architecture: kfreebsd-any
 Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: module-init-tools
@@ -140,13 +140,13 @@
 
 Package: freebsd-net-tools
 Section: net
-Priority: important
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # just to handle upgrades, maybe remove this after wheezy?
  pf,
 Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
 Provides: net-tools
+Breaks: ifupdown (<< 0.7~alpha5+really0.6.16~), isc-dhcp-client (<< 4.2.2-2~)
 Description: FreeBSD networking tools
  This package provides the FreeBSD tools needed to manage networking on
  GNU/kFreeBSD.
@@ -154,9 +154,9 @@
 Package: freebsd-net-tools-udeb
 Package-Type: udeb
 Section: debian-installer
-Priority: important
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: isc-dhcp-client-udeb (<< 4.2.2-2~)
 Description: FreeBSD networking tools
  This package provides the FreeBSD tools needed to manage networking on
  GNU/kFreeBSD.
@@ -187,7 +187,9 @@
 Section: admin
 Priority: standard
 Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+# for geom.geli.init
+ kldutils,
 Description: modular disk I/O request transformation framework
  The GEOM framework provides an infrastructure in which ``classes'' can
  perform transformations on disk I/O requests on their path from the upper
@@ -197,7 +199,7 @@
 
 Package: freebsd-geom
 Section: admin
-Priority: extra
+Priority: standard
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geom
 Description: modular disk I/O request transformation framework (meta-package)
@@ -226,16 +228,27 @@
 
 Package: devd
 Section: admin
-Priority: important
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+# for devd.init
+ kldutils,
 Replaces: freebsd-utils (<< 8.2+ds2-9)
 Description: device state change monitoring daemon
  The devd daemon runs actions specified in a configuration file when certain
  kernel events (such as device addition or removal) happen.
 
+Package: devd-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: device state change monitoring daemon
+ The devd daemon runs actions specified in a configuration file when certain
+ kernel events (such as device addition or removal) happen.
+ .
+ This is a minimal package for use in debian-installer.
+
 Package: ktrace
-Section: utils
 Priority: optional
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -250,7 +263,6 @@
 
 Package: pf
 Section: net
-Priority: important
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: freebsd-net-tools (<< 8.2+ds2-11)
@@ -266,7 +278,7 @@
  subsequently to GNU/kFreeBSD by the Debian project.
 
 Package: powerd
-Priority: optional
+Priority: standard
 Section: admin
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
-	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
+	-isystem /usr/include/tirpc \
 	-D__FreeBSD_version=__FreeBSD_kernel_version
 CXXFLAGS = $(CFLAGS)
 
@@ -89,7 +89,7 @@
 		 sbin/geom sys/geom/eli sys/crypto/sha2 \
 		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
 		 sbin/savecore sbin/dumpon \
-		etc/pf.os \
+		share/examples/pf etc/pf.os \
 		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
 		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
 		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
@@ -159,8 +159,6 @@
 kbdcontrol: kbdcontrol-stamp
 kbdcontrol-stamp:
 	$(PMAKE) -C usr.sbin/kbdcontrol
-	sed -i -e "s/^choices=.*/choices=\"`cd share/syscons/keymaps && echo *.kbd | sed -e 's/ /, /g'`\"/g" \
-	debian/kbdcontrol.config
 	touch $@
 
 vidcontrol: vidcontrol-stamp
@@ -268,3 +266,9 @@
 
 	$(PMAKE) -C sbin/kldconfig clean
 	$(PMAKE) -C sbin/kldload clean
+	$(PMAKE) -C sbin/kldstat clean
+	$(PMAKE) -C sbin/kldunload clean
+
+	$(PMAKE) -C sbin/ifconfig clean
+	$(PMAKE) -C sbin/pfctl clean
+	$(PMAKE) -C sbin/route clean
